NASTRAN-G
1
BRL-CAD
BRL-CAD
User Commands

# nastran-g

NASTRAN Translator (NASTRAN to BRL-CAD)

      nastran-g
        -t tolerance
        -t tolerance_distance
        -n
        -m
        -i nastran_input_file
        -o database.g

## DESCRIPTION

nastran-g converts the specified nastran_input_file to a BRL-CAD database.g file. The tolerance_distance provided is the maximum distance (in mm) between two vertices at which they will be considered to be the same vertex. The `-n` option requests that the output solids created from NASTRAN CQUAD4 or CTRIA3 elements be stored in the BRL-CAD file as NMG solids rather than the default BOT solids. The `-m` option indicates that the units of the NASTRAN file are millimeters, rather than the default inches. The converter currently only handles the CROD, CBAR, CTRIA3, and CQUAD4 elements.

## EXAMPLE

    $ nastran-g -i nastran.file -o sample.g

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1998-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.